#!/bin/sh
#
# vi_format 
#
# addiert letzte Spalte (Rechnungsbetraege) auf, bildet 
# die MWSt. und bildet die Rechnungssumme

sed '/DM/s/\.- *$/\.00/g' | awk '
 BEGIN    {
            sum = 0.0
          }
          {
            print $0
          }
 /DM/     {
            sum += $(NF)
          }
 END    {
        printf "\n\t\t\t"
        for(i=0;i<45;i++) printf "-"
        printf "\n\n"
        printf "Summe\t\t\t\t\t\t\tDM %8.2f\n",sum
        mwst = sum * 0.14
        printf "Mehrwertst. 14%%\t\t\t\t\t\tDM %8.2f\n",mwst
        printf "\n\t\t\t"
        for(i=0;i<45;i++) printf "-"
        printf "\n\n"
        printf "Rechnungsbetrag\t\t\t\t\t\tDM %8.2f\n",sum + mwst
        printf "\n\n\n"
        printf "Wir danken f}r den Auftrag\n"
        printf "Zahlungsziel: 14 Tage netto\n"
        }
     '
